Skip to main content
GET
/
v3
/
account
/
referral
/
summary
cURL
curl --request GET \
  --url https://api.woox.io/v3/account/referral/summary \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-api-signature: <x-api-signature>' \
  --header 'x-api-timestamp: <x-api-timestamp>'
import requests

url = "https://api.woox.io/v3/account/referral/summary"

headers = {
    "x-api-key": "<x-api-key>",
    "x-api-signature": "<x-api-signature>",
    "x-api-timestamp": "<x-api-timestamp>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {
    'x-api-key': '<x-api-key>',
    'x-api-signature': '<x-api-signature>',
    'x-api-timestamp': '<x-api-timestamp>'
  }
};

fetch('https://api.woox.io/v3/account/referral/summary', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
    "success": true,
    "data": {
        "rows": [
            {
                "referralId": 12509,
                "registerTime": "1643076873.484",
                "referralCode": "OJEDSSMU",
                "tradeStatus": "Traded",
                "earned": [
                  {
                    "token": "WOO",
                    "amount": "144.78597143"
                  },
                  {
                    "token": "USDT",
                    "amount": "0"
                  }
                ],
                "extraBonus": [
                  {
                    "token": "WOO",
                    "amount" : "10"
                  }
                ],
                "previousCommission": [
                  {
                    "token": "WOO",
                    "totalAmount": "10.07981438"
                  }
                ]
                "email": "staking-005_mas@woo.network",
            }
            ...
        ],
        "meta": {
            "total": 46,
            "recordsPerPage": 1,
            "currentPage": 1
        }
    },
    "timestamp": 1690192103430
}

Limit 10 requests per 60 seconds
Get referral information from each user you has referred.
{
    "success": true,
    "data": {
        "rows": [
            {
                "referralId": 12509,
                "registerTime": "1643076873.484",
                "referralCode": "OJEDSSMU",
                "tradeStatus": "Traded",
                "earned": [
                  {
                    "token": "WOO",
                    "amount": "144.78597143"
                  },
                  {
                    "token": "USDT",
                    "amount": "0"
                  }
                ],
                "extraBonus": [
                  {
                    "token": "WOO",
                    "amount" : "10"
                  }
                ],
                "previousCommission": [
                  {
                    "token": "WOO",
                    "totalAmount": "10.07981438"
                  }
                ]
                "email": "staking-005_mas@woo.network",
            }
            ...
        ],
        "meta": {
            "total": 46,
            "recordsPerPage": 1,
            "currentPage": 1
        }
    },
    "timestamp": 1690192103430
}

Headers

x-api-key
string
required
Example:

"abcdef123456"

x-api-signature
string
required
Example:

"signaturestring"

x-api-timestamp
string
required
Example:

"1718943200000"

Query Parameters

startTime
integer

start time in unix timestamp

endTime
integer

end time in unix timestamp

page
integer
default:1

the page you wish to query.

size
integer
default:25

the page size you wish to query, default = 25, 1000 at max.

Response

200 - application/json
success
boolean

true

timestamp
integer

timestamp

data
object